﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace DataManagerUsingNuget.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult DataSource() {

            List<object> list = new List<object>() { 
             new { OrderID=1, CustomerID="VINET"},
             new { OrderID=2, CustomerID="HANAR"},
             new { OrderID=3, CustomerID="VICET"},
             new { OrderID=4, CustomerID="TOMPS"}            
            };

            return Json(new { result = list, count = list.Count }, JsonRequestBehavior.AllowGet);
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }
    }
}